ROHTO BUGS - Bug #483

travel cost pada ess travel untuk cost center tidak bisa autoload
10/11/2021 11:23 AM - Muhammad Bintar

Status: Closed Start date: 10/11/2021
Priority: Immediate Due date: 11/03/2021
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada ess travel dimana pada saat melakukan pengisian travel cost bisa
autoload untuk cost center nya.

mengambil data cost center dari assignment.
History

#1 - 10/11/2021 11:40 AM - Kezia Pawitra Yulianti

07/03/2025 12



- Status changed from New to Assigned
- Assignee changed from Kezia Pawitra Yulianti to Mr. Yusuf

- Priority changed from Normal to High

Pak Ucup,
tolong untuk di assign yaa ke tim developer

Tks

#2 - 11/01/2021 10:51 AM - Kezia Pawitra Yulianti
- Due date changed from 10/18/2021 to 11/03/2021
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

- Priority changed from High to Immediate

Dear Azid,
minta tolong yaa untuk dapat di fixing sesuai dgn informasi dr Bintar

Tks

#3 - 11/04/2021 03:39 PM - M Azid Wahyudi

- File auto_Load_Cost_Center.txt added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

=> penambahan CostCenter di field OnlInitExtensions di ID = PDSWFTRAVELCOSTCostCostType :
'[id=PDSWFTRAVELCOSTCostCostType]":{change:function(){mapToTypeTravel();CostCenter();}

=> penambahan function di field OnMethodExtensions:

function CostCenter(){var body=MinovaUtil. WORKFLOW.getViewBodyWorkflow();var

StartDate=body.down('[name=HeaderStartDate]').getValue();var

empld=MinovaUtil. WORKFLOW.getEmpld();MinovaUtil. ExecuteParamQuery({ID:"TRAVELGETCOSTCENTER",empld:empld,stDate:StartDate},funct

ion(s){var result=Ext.decode(s.responseText);var

dt=Ext.decode(Ext.decode(resuIt.data));Ext.ComponentQuery.query('[id=PDSWFTF{AVELCOSTCostCostCenter]')[O].setVaIue(dtQ

.CostCenter);},function(f){});}
=> tambah Data di table [dbo].[PCMWFCUSTPARAM] :
ID : TRAVELGETCOSTCENTER

Value :

SELECT EmployeelD,StartDate,CostCenter FROM PHRPA0002 WHERE EmployeelD=@empld AND StartDate<=@stDate AND

EndDate>=@stDate

CommandType : sqlstring

#4 - 11/18/2022 09:51 AM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
